import { MuttonCompiledTemplate } from './types';
export default class MuttonCompiler {
    private compiled;
    private previousNodeEnd;
    private position;
    private template;
    private state;
    private withinVariableState;
    private withinSingleQuoteState;
    private withinDoubleQuoteState;
    private defaultState;
    constructor(template: string);
    private getTemplatePart;
    private addToExistingLiteralNode;
    private getLiteralNodeEndPosition;
    addLiteralNode(): void;
    addExpressionNode(): void;
    compileTemplate(): MuttonCompiledTemplate;
    getPreviousNodeEnd(): number;
    changeToDefaultState(): void;
    changeToWithinVariableState(): void;
    changeToWithinSingleQuoteState(): void;
    changeToWithinDoubleQuoteState(): void;
    skip(count: number): void;
    lookAhead(count: number): string;
    getPosition(): number;
}
