import MuttonCompiler from './MuttonCompiler';
import { renderCompiledTemplateSync, renderCompiledTemplateAsync as renderAsync, } from './renderCompiledTemplate';
export function renderTemplate(template, options) {
    return renderCompiledTemplate(compileTemplate(template), options);
}
export function renderCompiledTemplate(compiled, options) {
    return renderCompiledTemplateSync(compiled, options);
}
export function renderCompiledTemplateAsync(compiled, options) {
    return renderAsync(compiled, options);
}
export function compileTemplate(template) {
    const compiler = new MuttonCompiler(template);
    return compiler.compileTemplate();
}
export * from './types';
