"use strict";
function __export(m) {
    for (var p in m) if (!exports.hasOwnProperty(p)) exports[p] = m[p];
}
Object.defineProperty(exports, "__esModule", { value: true });
const MuttonCompiler_1 = require("./MuttonCompiler");
const renderCompiledTemplate_1 = require("./renderCompiledTemplate");
function renderTemplate(template, options) {
    return renderCompiledTemplate(compileTemplate(template), options);
}
exports.renderTemplate = renderTemplate;
function renderCompiledTemplate(compiled, options) {
    return renderCompiledTemplate_1.renderCompiledTemplateSync(compiled, options);
}
exports.renderCompiledTemplate = renderCompiledTemplate;
function renderCompiledTemplateAsync(compiled, options) {
    return renderCompiledTemplate_1.renderCompiledTemplateAsync(compiled, options);
}
exports.renderCompiledTemplateAsync = renderCompiledTemplateAsync;
function compileTemplate(template) {
    const compiler = new MuttonCompiler_1.default(template);
    return compiler.compileTemplate();
}
exports.compileTemplate = compileTemplate;
__export(require("./types"));
