"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _1 = require("./");
const fixtures_1 = require("../test/fixtures");
fixtures_1.runFixtureTests(fixture => () => {
    const onExpressionCalls = [];
    const rendered = _1.renderTemplate(fixture.template, {
        expressionEvaluator(expression) {
            onExpressionCalls.push(expression);
            if (fixture.expressionEvaluator) {
                return fixture.expressionEvaluator(expression);
            }
            return expression;
        },
    });
    expect(onExpressionCalls).toEqual(fixture.expressionCalls);
    expect(rendered).toEqual(fixture.renderResult);
});
